<?
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/

/*-------------------------------+
| INF: Wooya's Dir Photo Gallery |
|--------------------------------+
| author: Wooya - (c) 2005       |
| web: http://www.mfusion.prv.pl |
+--------------------------------*/

require_once "../../maincore.php";
require_once BASEDIR."subheader.php";
require_once BASEDIR."side_left.php";

if (file_exists(INFUSIONS."photo_gallery/locale/".$settings['locale'].".php")) {
	include INFUSIONS."photo_gallery/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."photo_gallery/locale/English.php";
}

include_once ("photo_gallery_config.php");
include_once ("photo_gallery_functions.php");

//default folders
$dir_to_open = $images_folder.($gallery!=''?$gallery.'/':'');

if (!is_dir($dir_to_open)) fallback(FUSION_SELF);
if (isset($imgfile)) {
	if (!ImageSize($dir_to_open.$imgfile)) fallback(FUSION_SELF);
}

if (isset($gallery) && !isset($imgfile) && !isset($edit_folder) && !iSUPERADMIN) {
	$result = dbquery("UPDATE ".DB_PREFIX."pdg_albums SET pdg_folder_entries=pdg_folder_entries+1 WHERE pdg_folder_name='".urldecode($gallery)."'");
}

if (isset($imgfile) && !iSUPERADMIN) {
	$result = dbquery("UPDATE ".DB_PREFIX."pdg_photos SET pdg_photo_entries=pdg_photo_entries+1 WHERE pdg_folder_name='".urldecode($gallery)."' AND pdg_photo_name='".$imgfile."'");
}

//get folders
$folders = array();
$dir_handle = opendir($dir_to_open);
while(false !== ($entry = readdir($dir_handle))) {
   if($entry != "." && $entry != ".." && is_dir($dir_to_open.$entry)) {
      $folders[] = $entry;
   }
}
closedir($dir_handle);

//get images
$images = array();
$dir_handle = opendir($dir_to_open);
while(false !== ($entry = readdir($dir_handle))) {
	$file_extension = strtolower(strrchr($entry,"."));
	if($entry != "." && $entry != ".." && !eregi("small_", $entry) && in_array($file_extension, $pattern)) {
	      $images[] = $entry;
	   }
	}
closedir($dir_handle);

//sort data
rsort($folders);
sort($images);

$gd_installed = gd_info();
if (sizeof($gd_installed)!=0) {
	//if image is set - show it
	if (isset($imgfile) && $imgfile!='') {
		opentable ($locale['PG004']);
	   echo "<center><table class='tbl-border' width='100%' cellspacing='1' cellpadding='0'>\n";
	   $link_nav = MakeDirNav($dir_to_open);
	   echo "<tr><td class='tbl1'><b>".$locale['PG005'].": ".$link_nav."</b></td></tr>";
	   for ($i=0;$i<sizeof($images);$i++) {
	   	if ($images[$i] == $imgfile) {
	   		$prev_img = $images[$i-1];
	   		$next_img = $images[$i+1];
	   		$current_img = $i+1;
	   	}
	   }
		echo "<tr><td class='tbl1'><center>\n";
		echo $locale['PG020']." <b>".$current_img."</b> ".$locale['PG021']." <b>".sizeof($images)."</b>\n";
		echo "</center></td></tr>\n";
	   echo "<tr><td class='tbl1'><center>\n";
		echo "<a href='".FUSION_SELF."?gallery=".urlencode($gallery)."&imgfile=".urlencode($images[0])."'><img src='images/prev.gif' style='border:none' alt='".$locale['PG022']."'/><img src='images/prev.gif' style='border:none' alt='".$locale['PG022']."'/></a>&nbsp;&nbsp;\n";
		if ($prev_img!='') {
		   echo "<a href='".FUSION_SELF."?gallery=".urlencode($gallery)."&imgfile=".urlencode($prev_img)."'><img src='images/prev.gif' style='border:none' alt='".$locale['PG018']."'/></a>&nbsp;&nbsp;\n";
		} else {
		   echo "<img src='images/prev.gif' style='border:none' alt='".$locale['PG018']."'/>&nbsp;&nbsp;\n";
		}
	   if ($next_img!='') {
		   echo "<a href='".FUSION_SELF."?gallery=".urlencode($gallery)."&imgfile=".urlencode($next_img)."'><img src='images/next.gif' style='border:none' alt='".$locale['PG019']."'/></a>&nbsp;&nbsp;\n";
		} else {
		   echo "<img src='images/next.gif' style='border:none' alt='".$locale['PG019']."'/>&nbsp;&nbsp;\n";
		}
		echo "<a href='".FUSION_SELF."?gallery=".urlencode($gallery)."&imgfile=".urlencode($images[sizeof($images)-1])."'><img src='images/next.gif' style='border:none' alt='".$locale['PG023']."'/><img src='images/next.gif' style='border:none' alt='".$locale['PG023']."'/></a>\n";
		echo "</center></td></tr>\n";
	   echo "<tr><td class='tbl2'><center>\n";
	   $imgs = GetImageSize($dir_to_open.$imgfile);
	   if ($imgs[0]>$imgs[1]) {
	      $width = 400;
	      $height = 300;
	   } else {
	      $width = 300;
	      $height = 400;
	   }
	   echo $locale['PG006']."<br><br>\n";
	   echo UserOptions($imgfile, 'image');
	   echo "<img src='".$dir_to_open.$imgfile."' style='width:".$width."px;height:".$height."px' onClick=\"OpenFullSizeGfx('photo_gallery_popup.php?image=".$dir_to_open.$imgfile."',".($imgs[0]+50)." ,".($imgs[1]+50).");\" alt='".$imgfile."' />\n";
	   echo "<br>".ImageSize($dir_to_open.$imgfile)."<br>\n";
	   echo $locale['PG008'].": <b>".parsebytesize(filesize($dir_to_open.$imgfile))."</b>\n";
	   echo "<br><br>";
		if ($next_img!='') {
	      //display next four photos
	      echo "<table class='tbl-border' width='100%' cellpadding='0' cellspacing='1'>";
	      echo "<tr><td class='tbl1' colspan='4'><b>".$locale['PG027']."</b></td></tr>";
	      echo "<tr>";
	      for ($i=0;$i<4;$i++) {
	         if (($current_img+$i)<sizeof($images)) {
	            echo "<td width='25%' class='tbl1'><center><a class='gallery' href='".FUSION_SELF."?gallery=".urlencode($gallery)."&imgfile=".urlencode($images[$current_img+$i])."'><img src='".($dir_to_open."small_".$images[$current_img+$i])."' alt='' width='".round($settings['thumb_image_w']*0.75)."' height='".round($settings['thumb_image_h']*0.75)."'></a></td>";
	         } else {
	            echo "<td width='25%' class='tbl1'>&nbsp;</td>";
	         }
	      }
	      echo "</tr>";
			echo "</table>"; 
	   }
	   echo "</center>";
	   echo "</td></tr>\n";
	   echo "</table></center>\n";
	   closetable();
	   $result = dbquery("SELECT * FROM ".DB_PREFIX."pdg_photos WHERE pdg_folder_name='".$gallery."' AND pdg_photo_name='".$imgfile."'");
	   $rows = dbrows($result);
	   if ($rows!=0) {
	   	include_once (INCLUDES."comments_include.php");
	   	include_once (INCLUDES."ratings_include.php");
	      $data = dbarray($result);
	      $photoid = $data['pdg_photo_id'];
	      showcomments("G","pdg_photos","pdg_photo_id",$photoid,FUSION_SELF."?gallery=".urlencode($gallery)."&imgfile=".urlencode($imgfile)."");
	      showratings("G",$photoid,FUSION_SELF."?gallery=".urlencode($gallery)."&imgfile=".urlencode($imgfile)."");
	   }
	//search photos
	} else if (isset($action) && $action=='search') {
      opentable ($locale['PG004']);
		if ($_POST['search_photo']!='') {
	      if (SearchPhoto($_POST['search_photo'], 'find')!=0) {
	         SearchPhoto($_POST['search_photo'], 'list', true);
	      } else {
	         echo "<center>".$locale['PG030'];
	         echo "<br><br>";
	         echo "<a href='".FUSION_SELF."'>".$locale['PG112']."</a></center>";
	      }
	   } else {
	   	redirect (FUSION_SELF);
	   }
	   closetable();
	//edit image desc
	} else if (isset($edit_image)) {
	  	opentable ($locale['PG004']);
		if (PDG_ALLOWED_USER) {
	      if (isset($_POST['save_edited_photo'])) {
	         $photo_desc = strip_tags($_POST['pdg_photo_desc']);
	         if (!iSUPERADMIN) {
	            $result = dbquery("UPDATE ".DB_PREFIX."pdg_photos SET pdg_photo_desc='".addslashes($photo_desc)."' WHERE pdg_photo_id='".$_POST['pdg_photo_id']."' AND pdg_photo_creator='".$userdata['user_id']."'");
	         } else {
	            $result = dbquery("UPDATE ".DB_PREFIX."pdg_photos SET pdg_photo_desc='".addslashes($photo_desc)."' WHERE pdg_photo_id='".$_POST['pdg_photo_id']."'");
	         }
	         redirect (FUSION_SELF."?gallery=".urlencode($gallery).($prowstart!=''?"&prowstart=".$prowstart:"").($arowstart!=''?"&arowstart=".$arowstart:"")."");
	      } else {
	         echo "<center>";
	         if (!iSUPERADMIN) {
	            $result = dbquery("SELECT * FROM ".DB_PREFIX."pdg_photos WHERE pdg_folder_name='".$gallery."' AND pdg_photo_name='".$edit_image."' AND pdg_photo_creator='".$userdata['user_id']."'");
	         } else {
	            $result = dbquery("SELECT * FROM ".DB_PREFIX."pdg_photos WHERE pdg_folder_name='".$gallery."' AND pdg_photo_name='".$edit_image."'");
	         }
	         $rows = dbrows($result);
	         if ($rows!=0) {
	            $data = dbarray($result);
	            $imgs = GetImageSize($dir_to_open.$edit_image);
	            if ($imgs[0]>$imgs[1]) {
	               $width = 200;
	               $height = 150;
	            } else {
	               $width = 150;
	               $height = 200;
	            }
	            echo "<br>".$locale['PG051']."<br><br>";
	            echo "<img style='width:".$width."px;height:".$height."px' src='".$dir_to_open.$edit_image."' alt='".$data['pdg_photo_desc']."' /><br><br>";
	            echo "<form action='".FUSION_SELF.($gallery!=''?"?gallery=".urlencode($gallery)."&":"?")."edit_image=".urlencode($edit_image).($prowstart!=''?"&prowstart=".$prowstart:"")."' method='post'>";
	            echo "<input style='width:250px' class='textbox' type='text' name='pdg_photo_desc' value=\"".stripslashes($data['pdg_photo_desc'])."\"><br><br>";
	            echo "<input type='hidden' name='pdg_photo_id' value='".$data['pdg_photo_id']."'>";
	            echo "<input class='button' type='submit' name='save_edited_photo' value='".$locale['PG053']."'>";
	            echo "</form>";
	            echo "</center>";
	         } else {
	         	echo "<center>".$locale['PG055']."</center>";
	         }
	      }
	   } else {
	   	fallback(FUSION_SELF);
	   }
	   closetable();
	//delete image
	} else if (isset($delete_image)) {
		opentable ($locale['PG004']);
		if (PDG_ALLOWED_USER) {
			if (!iSUPERADMIN) {
	         $data = dbarray(dbquery("SELECT pdg_photo_id FROM ".DB_PREFIX."pdg_photos WHERE pdg_folder_name='".$gallery."' AND pdg_photo_name='".$delete_image."' AND pdg_photo_creator='".$userdata['user_id']."'"));
	         $result = dbquery("DELETE FROM ".DB_PREFIX."pdg_photos WHERE pdg_folder_name='".$gallery."' AND pdg_photo_name='".$delete_image."' AND pdg_photo_creator='".$userdata['user_id']."'");
	         $result = dbquery("DELETE FROM ".$db_prefix."comments WHERE comment_item_id='".$data['pdg_photo_id']."' AND comment_type='G'");
	         $result = dbquery("DELETE FROM ".$db_prefix."ratings WHERE rating_item_id='".$data['pdg_photo_id']."' and rating_type='G'");
	      } else {
	         $data = dbarray(dbquery("SELECT pdg_photo_id FROM ".DB_PREFIX."pdg_photos WHERE pdg_folder_name='".$gallery."' AND pdg_photo_name='".$delete_image."'"));
	         $result = dbquery("DELETE FROM ".DB_PREFIX."pdg_photos WHERE pdg_folder_name='".$gallery."' AND pdg_photo_name='".$delete_image."'");
	         $result = dbquery("DELETE FROM ".$db_prefix."comments WHERE comment_item_id='".$data['pdg_photo_id']."' AND comment_type='G'");
	         $result = dbquery("DELETE FROM ".$db_prefix."ratings WHERE rating_item_id='".$data['pdg_photo_id']."' and rating_type='G'");
	      }
	      unlink ($images_folder.$gallery.'/'.$delete_image);
	      unlink ($images_folder.$gallery.'/small_'.$delete_image);
	      redirect (FUSION_SELF."?gallery=".urlencode($gallery).($prowstart!=''?"&prowstart=".$prowstart:""));
	   } else {
	   	fallback(FUSION_SELF);
	   }
	   closetable();
	//edit folder desc
	} else if (isset($edit_folder)) {
		opentable ($locale['PG004']);
		if (PDG_ALLOWED_USER) {
	      if (isset($_POST['save_edited_photo'])) {
	         $folder_desc = strip_tags($_POST['pdg_folder_desc']);
	         if (!iSUPERADMIN) {
	            $result = dbquery("UPDATE ".DB_PREFIX."pdg_albums SET pdg_folder_desc='".addslashes($folder_desc)."' WHERE pdg_folder_id='".$_POST['pdg_folder_id']."' AND pdg_folder_creator='".$userdata['user_id']."'");
	         } else {
	            $result = dbquery("UPDATE ".DB_PREFIX."pdg_albums SET pdg_folder_desc='".addslashes($folder_desc)."' WHERE pdg_folder_id='".$_POST['pdg_folder_id']."'");
	         }
	         redirect (FUSION_SELF.($arowstart!=''?"?arowstart=".$arowstart."&":"?").($gallery!=''?"gallery=".urlencode($gallery)."":""));
	      } else {
	         echo "<center>";
	         if (!iSUPERADMIN) {
               $result = dbquery("SELECT * FROM ".DB_PREFIX."pdg_albums WHERE pdg_folder_name='".($gallery!=''?$gallery.'/':'').$edit_folder."' AND pdg_folder_creator='".$userdata['user_id']."'");
	         } else {
               $result = dbquery("SELECT * FROM ".DB_PREFIX."pdg_albums WHERE pdg_folder_name='".($gallery!=''?$gallery.'/':'').$edit_folder."'");
	         }
	         $rows = dbrows($result);
	         if ($rows!=0) {
	            $data = dbarray($result);           
	            echo "<form action='".FUSION_SELF.($gallery!=''?"?gallery=".urlencode($gallery)."&":"?")."edit_folder=".urlencode($edit_folder).($arowstart?"&arowstart=".$arowstart:"")."' method='post'>";
	            echo "<br>".$locale['PG010'].": <b>".($gallery!=''?$gallery.'/':'').$edit_folder."</b><br><br>";
	            echo $locale['PG052']."<br><br>";
	            echo "<input style='width:250px' class='textbox' type='text' name='pdg_folder_desc' value=\"".stripslashes($data['pdg_folder_desc'])."\"><br><br>";
	            echo "<input type='hidden' name='pdg_folder_id' value='".$data['pdg_folder_id']."'>";
	            echo "<input class='button' type='submit' name='save_edited_photo' value='".$locale['PG053']."'>";
	            echo "</form>";
	            echo "</center>";
	         } else {
	         	echo "<center>".$locale['PG056']."</center>";	         	
	         }
	      }			
		} else {
			fallback(FUSION_SELF);
		}
		closetable();
	//delete folder
	} else if (isset($delete_folder)) {
		opentable ($locale['PG004']);
		if (PDG_ALLOWED_USER) {
			recursive_dir($images_folder.($gallery!=''?$gallery.'/':'').$delete_folder, "", array(), "", 'killfiles');
			recursive_dir($images_folder.($gallery!=''?$gallery.'/':'').$delete_folder, "", array(), "", 'killdirs');
			if ($gallery=='') {
	         if (!iSUPERADMIN) {
	            $result = dbquery("DELETE FROM ".DB_PREFIX."pdg_albums WHERE pdg_folder_name='".$delete_folder."' AND pdg_folder_creator='".$userdata['user_id']."'");
	         } else {
	            $result = dbquery("DELETE FROM ".DB_PREFIX."pdg_albums WHERE pdg_folder_name='".$delete_folder."'");
	         }				
			}
			@rmdir ($images_folder.($gallery!=''?$gallery.'/':'').$delete_folder);
	      redirect (FUSION_SELF.($gallery!=''?"?gallery=".$gallery:"").($arowstart!=''?"&arowstart=".$arowstart:""));
		} else {
			fallback(FUSION_SELF);
		}
		closetable();
	} else {
	   if (sizeof($folders)>0 && sizeof($images)==0) {
		opentable ($locale['PG004']);
	      echo "<table class='tbl-border' width='100%' cellspacing='1' cellpadding='0'>\n";
	      $link_nav = MakeDirNav($dir_to_open);
	      echo "<tr><td class='tbl1' colspan='".$settings['albums_per_row']."'><b>".$locale['PG005'].": ".$link_nav."</b></td></tr>";
	      echo "<tr><td class='tbl1' colspan='".$settings['albums_per_row']."'><center><b>".$locale['PG009']."</b>".(PDG_ALLOWED_USER?"&nbsp;&nbsp;&nbsp;&nbsp;<a href='photo_gallery_create.php'>[ <b>".$userdata['user_name']."</b> - ".$locale['PG123']." ]</a>":"")."</center></td></tr>\n";
	      if (!isset($arowstart)) {
	         $arowstart=0;
	         $arowend = $settings['albums_per_page'];
	      } else {
	         $arowend = $settings['albums_per_page']+$arowstart;
	      }
	      for ($i=$arowstart;$i<$arowend;$i++) {
	         if ($i<sizeof($folders)) {
	            $newrow = $i%$settings['albums_per_row'];
	            if ($i!=0 && $newrow==0) {
	               $tds=0;
	               echo "</tr>\n";
	            }              
	            if ($newrow==0) {
	               echo "<tr>\n";
	               if ($cls=='tbl2') {
	                  $cls = 'tbl1';
	               } else {
	                  $cls = 'tbl2';
	               }
	            }
	            echo "<td style='width:".round(100/$settings['albums_per_row'])."%' class='".$cls."'><center>\n";
	            $tds++;
	            echo UserOptions($folders[$i], 'folder');
	            echo $locale['PG010'].": <b>".GetAlbumName($gallery, $folders[$i], "on")."</b><br>\n";
	            if (isset($gallery)) {
	               echo "<a class='gallery' href='".FUSION_SELF."?gallery=".urlencode($gallery."/".$folders[$i])."'>\n";
	            } else {
	               echo "<a class='gallery' href='".FUSION_SELF."?gallery=".urlencode($folders[$i])."'>\n";
	            }
	            $thumb = GetThumb($dir_to_open.$folders[$i]);
	            if ($thumb!='') {
	               Thumbnail($dir_to_open.$folders[$i]."/", $thumb);
	               $imgs = GetImageSize($dir_to_open.$folders[$i]."/small_".$thumb);
	               if ($imgs[0]>$imgs[1]) {
	                  $widh = $settings['album_image_w'];
	                  $height = $settings['album_image_h'];
	               } else {
	                  $widh = $settings['album_image_h'];
	                  $height = $settings['album_image_w'];
	               }
	               echo "<img style='width:".$width."px;height:".$height."px' src='".$dir_to_open.$folders[$i]."/small_".$thumb."' alt='".$thumb."'/>\n";
	            } else {
	               echo "<img style='width:".$settings['album_image_w']."px;height:".$settings['album_image_h']."px' src='images/folder.gif' alt='".$thumb."'/>\n";
	            }
	            echo "</a>\n";
	            echo CountAlbumsAndImages($dir_to_open.$folders[$i]);
	            if ($gallery!=null) {
	            	$fold = $gallery.'/'.$folders[$i];
	            } else {
	            	$fold = $folders[$i];
	            }
	            $entries = GetEntries($fold);
	            if ($entries!=null) {
		            echo "<br><br>".$locale['PG024']." ".$entries." ".$locale['PG026'];
		         }
	            echo "</center></td>\n";
	         }
	      }
	      if ($tds!=$settings['albums_per_row']) {
	         for ($x=0;$x<($settings['albums_per_row']-$tds);$x++) {
	            echo "<td style='width:".round(100/$settings['albums_per_row'])."%' class='".$cls."'>&nbsp;</td>\n";
	         }
	      }
	      echo "</tr>\n";
	      echo "<tr><td class='tbl1' colspan='".$settings['albums_per_row']."'>\n";
	      echo "<div align='center' style='margin-top:5px;'>".makegallerypagenav($arowstart,$settings['albums_per_page'],sizeof($folders),3,FUSION_SELF."?gallery=".urlencode($gallery)."&", "a")."</div>\n";
	      echo "</td>\n";
	      echo "</tr>";
	      echo "<tr><td class='tbl1' colspan='".$settings['albums_per_row']."'>\n";
	      echo "<div align='right' style='margin:5px;'>";
	      echo "<form name='search_photo_form' action='photo_gallery.php?action=search' method='post'>";
	      echo $locale['PG028']." <input class='textbox'type='text' name='search_photo'/>&nbsp<input class='button' type='submit' name='OK' VALUE='OK'>";
	      echo "</form>";
	      echo "</div>\n";
	      echo "</td>\n";
	      echo "</tr>\n";
	      echo "</table>\n";
	      closetable();
	   //mixed folders and files in album
	   } else if (sizeof($folders)>0 && sizeof($images)>0) {
			opentable ($locale['PG004']);
	      echo "<table class='tbl-border' width='100%' cellspacing='1' cellpadding='0'>\n";
	      $link_nav = MakeDirNav($dir_to_open);
	      echo "<tr><td class='tbl1' colspan='".$settings['albums_per_row']."'><b>".$locale['PG005'].": ".$link_nav."</b></td></tr>";
	      echo "<tr><td class='tbl1' colspan='".$settings['albums_per_row']."'><center><b>".$locale['PG009']."</b>".(PDG_ALLOWED_USER?"&nbsp;&nbsp;&nbsp;&nbsp;<a href='photo_gallery_create.php'>[ <b>".$userdata['user_name']."</b> - ".$locale['PG123']." ]</a>":"")."</center></td></tr>\n";
	      if (!isset($arowstart)) {
	         $arowstart=0;
	         $arowend = $settings['albums_per_page'];
	      } else {
	         $arowend = $settings['albums_per_page']+$arowstart;
	      }
	      for ($i=$arowstart;$i<$arowend;$i++) {
	         if ($i<sizeof($folders)) {
	            $newrow = $i%$settings['albums_per_row'];
	            if ($i!=0 && $newrow==0) {
	               echo "</tr>\n";
	               $tds=0;
	            }
	            if ($newrow==0) {
	               echo "<tr>\n";
	               if ($cls=='tbl2') {
	                  $cls = 'tbl1';
	               } else {
	                  $cls = 'tbl2';
	               }
	            }
	            echo "<td style='width:".round(100/$settings['albums_per_row'])."%' class='".$cls."'><center>\n";
	            $tds++;
	            echo UserOptions($folders[$i], 'folder');
	            echo $locale['PG010'].": <b>".GetAlbumName($gallery, $folders[$i], "on")."</b><br>";
	            if (isset($gallery)) {
	               echo "<a class='gallery' href='".FUSION_SELF."?gallery=".urlencode($gallery."/".$folders[$i])."'>\n";
	            } else {
	               echo "<a class='gallery' href='".FUSION_SELF."?gallery=".urlencode($folders[$i])."'>\n";
	            }
	            $thumb = GetThumb($dir_to_open.$folders[$i]);
	            if ($thumb!='') {
	               Thumbnail($dir_to_open.$folders[$i]."/", $thumb);
	               $imgs = GetImageSize($dir_to_open.$folders[$i]."/small_".$thumb);
	               if ($imgs[0]>$imgs[1]) {
	                  $widh = $settings['album_image_w'];
	                  $height = $settings['album_image_h'];
	               } else {
	                  $widh = $settings['album_image_h'];
	                  $height = $settings['album_image_w'];
	               }
	               echo "<img style='width:".$width."px;height:".$height."px' src='".$dir_to_open.$folders[$i]."/small_".$thumb."' alt='".$thumb."'/>\n";
	            } else {
	               echo "<img style='width:".$settings['album_image_w']."px;height:".$settings['album_image_h']."px' src='images/folder.gif' alt='".$thumb."'/>\n";
	            }
	            echo "</a>\n";
	            echo CountAlbumsAndImages($dir_to_open.$folders[$i]);
	            if ($gallery!=null) {
	            	$fold = $gallery.'/'.$folders[$i];
	            } else {
	            	$fold = $folders[$i];
	            }
	            $entries = GetEntries($fold);
	            if ($entries!=null) {
		            echo "<br><br>".$locale['PG024']." ".$entries." ".$locale['PG026'];
		         }
	            echo "</center></td>\n";
	         }
	      }
	      if ($tds!=$settings['albums_per_row']) {
	         for ($x=0;$x<($settings['albums_per_row']-$tds);$x++) {
	            echo "<td style='width:".round(100/$settings['albums_per_row'])."%' class='".$cls."'>&nbsp;</td>\n";
	         }
	      }
	      echo "</tr>\n";
	      echo "<tr><td class='tbl1' colspan='".$settings['albums_per_row']."'>\n";
	      echo "<div align='center' style='margin-top:5px;'>".makegallerypagenav($arowstart,$settings['albums_per_page'],sizeof($folders),3,FUSION_SELF."?gallery=".urlencode($gallery)."&", "a")."</div>\n";
	      echo "</td>\n";
	      echo "</tr>\n";
	      echo "<tr><td class='tbl1' colspan='".$settings['albums_per_row']."'>\n";
	      echo "<div align='right' style='margin:5px;'>";
	      echo "<form name='search_photo_form' action='photo_gallery.php?action=search' method='post'>";
	      echo $locale['PG028']." <input class='textbox'type='text' name='search_photo'/>&nbsp<input class='button' type='submit' name='OK' VALUE='OK'>";
	      echo "</form>";
	      echo "</div>\n";
	      echo "</td>\n";
	      echo "</tr>\n";
	      echo "</table>\n";
	      tablebreak();
	      //images 
	      echo "<table class='tbl-border' width='100%' cellspacing='1' cellpadding='0'>\n";
	      echo "<tr><td class='tbl1' colspan='".$settings['thumbs_per_row']."'><center><b>".$locale['PG011']."</b></center></td></tr>";
	      if (!isset($prowstart)) {
	         $prowstart = 0;
	         $prowend = $settings['thumbs_per_page'];
	      } else {
	         $prowend = $settings['thumbs_per_page']+$prowstart;
	      }
	      for ($i=$prowstart;$i<$prowend;$i++) {
	         if ($i<sizeof($images)) {
	            $newrow = $i%$settings['thumbs_per_row'];
	            if ($i!=0 && $newrow==0) {
	               echo "</tr>\n";
	               $tds=0;
	            }
	            if ($newrow==0) {
	               echo "<tr>\n";
	               if ($i%2==0) {
	                  $cls = 'tbl2';
	               } else {
	                  $cls = 'tbl1';
	               }
	            }
	            echo "<td valign='top' style='width:".round(100/$settings['thumbs_per_row'])."%' class='".$cls."'><center>\n";
	            $tds++;
	            echo UserOptions($images[$i], 'image');
	            $photo_name = GetPhotoName($gallery, $images[$i]);
	            if ($photo_name==$images[$i]) {
	               echo $locale['PG012'].": <b>".$images[$i]."</b><br>";
	            } else {
	            	echo "<b>".$photo_name."</b><br>";
	            }
	            echo "<a class='gallery' href='".FUSION_SELF."?gallery=".urlencode($gallery)."&imgfile=".urlencode($images[$i])."'>\n";
	            Thumbnail($dir_to_open."/", $images[$i]);           
	            $imgs = GetImageSize($dir_to_open."/small_".$images[$i]);
	            if ($imgs[0]>$imgs[1]) {
	               $widh = $settings['thumb_image_w'];
	               $height = $settings['thumb_image_h'];
	            } else {
	               $widh = $settings['thumb_image_h'];
	               $height = $settings['thumb_image_w'];
	            }
	            echo "<img style='width:".$width."px;height:".$height."px' src='".$dir_to_open."/small_".$images[$i]."' alt='".$images[$i]."'/>\n";
	            echo "</a>\n";
	            echo "<br>".ImageSize($dir_to_open."/".$images[$i])."<br>";
	            echo $locale['PG008'].": <b>".parsebytesize(filesize($dir_to_open."/".$images[$i]))."</b>";
	            $entries = GetEntries($gallery, $images[$i]);
	            if ($entries!=null) {
		            echo "<br><br>".$locale['PG025']." ".$entries." ".$locale['PG026']."<br>";
		         }
	            echo "<span class='alt'>";
	            GetComments($gallery, $images[$i]);
	            GetRatings($gallery, $images[$i]);
	            echo "</span>";
	            echo "</center></td>\n";
	         }
	      }
	      if ($tds!=$settings['thumbs_per_row']) {
	         for ($x=0;$x<($settings['thumbs_per_row']-$tds);$x++) {
	            echo "<td style='width:".round(100/$settings['thumbs_per_row'])."%' class='".$cls."'>&nbsp;</td>\n";
	         }
	      }
	      echo "</tr>\n";
	      echo "<tr><td class='tbl1' colspan='".$settings['thumbs_per_row']."'>\n";
	      echo "<div align='center' style='margin-top:5px;'>".makegallerypagenav($prowstart,$settings['thumbs_per_page'],sizeof($images),3,FUSION_SELF."?gallery=".urlencode($gallery)."&", "p")."</div>\n";
	      echo "</td>\n";
	      echo "</tr>\n";
	      echo "<tr><td class='tbl1' colspan='".$settings['albums_per_row']."'>\n";
	      echo "<div align='right' style='margin:5px;'>";
	      echo "<form name='search_photo_form' action='photo_gallery.php?action=search' method='post'>";
	      echo $locale['PG028']." <input class='textbox'type='text' name='search_photo'/>&nbsp<input class='button' type='submit' name='OK' VALUE='OK'>";
	      echo "</form>";
	      echo "</div>\n";
	      echo "</td>\n";
	      echo "</tr>\n";
	      echo "</table>\n";
	      closetable();
	   //only files in album
	   } else if (sizeof($folders)==0 && sizeof($images)>0) {
	      opentable ($locale['PG004']);
			echo "<table class='tbl-border' width='100%' cellspacing='1' cellpadding='0'>\n";
	      $link_nav = MakeDirNav($dir_to_open);
	      echo "<tr><td class='tbl1' colspan='".$settings['thumbs_per_row']."'><b>".$locale['PG005'].": ".$link_nav."</b></td></tr>";   
	      echo "<tr><td class='tbl1' colspan='".$settings['thumbs_per_row']."'><center><b>".$locale['PG011']."</b></center></td></tr>";
	      if (!isset($prowstart)) {
	         $prowstart = 0;
	         $prowend = $settings['thumbs_per_page'];
	      } else {
	         $prowend = $settings['thumbs_per_page']+$prowstart;
	      }
	      for ($i=$prowstart;$i<$prowend;$i++) {
	         if ($i<sizeof($images)) {
	            $newrow = $i%$settings['thumbs_per_row'];
	            if ($i!=0 && $newrow==0) {
	               echo "</tr>\n";
	               $tds=0;
	            }
	            if ($newrow==0) {
	               echo "<tr>\n";
	               if ($i%2==0) {
	                  $cls = 'tbl2';
	               } else {
	                  $cls = 'tbl1';
	               }
	            }
	            echo "<td valign='top' style='width:".round(100/$settings['thumbs_per_row'])."%' class='".$cls."'><center>\n";
	            $tds++;
	            echo UserOptions($images[$i], 'image');
	            $photo_name = GetPhotoName($gallery, $images[$i]);
	            if ($photo_name==$images[$i]) {
	               echo $locale['PG012'].": <b>".$images[$i]."</b><br>";
	            } else {
	            	echo "<b>".$photo_name."</b><br>";
	            }
	            echo "<a class='gallery' href='".FUSION_SELF."?gallery=".urlencode($gallery)."&imgfile=".urlencode($images[$i])."'>\n";
	            Thumbnail($dir_to_open.$folders[$i]."/", $images[$i]);           
	            $imgs = GetImageSize($dir_to_open.$folders[$i]."/small_".$images[$i]);
	            if ($imgs[0]>$imgs[1]) {
	               $widh = $settings['thumb_image_w'];
	               $height = $settings['thumb_image_h'];
	            } else {
	               $widh = $settings['thumb_image_h'];
	               $height = $settings['thumb_image_w'];
	            }
	            echo "<img style='width:".$width."px;height:".$height."px' src='".$dir_to_open.$folders[$i]."/small_".$images[$i]."' alt='".$images[$i]."'/>\n";
	            echo "</a>\n";
	            echo "<br>".ImageSize($dir_to_open.$folders[$i]."/".$images[$i])."<br>";
	            echo $locale['PG008'].": <b>".parsebytesize(filesize($dir_to_open.$folders[$i]."/".$images[$i]))."</b>";
	            $entries = GetEntries($gallery, $images[$i]);
	            if ($entries!=null) {
		            echo "<br><br>".$locale['PG025']." ".$entries." ".$locale['PG026']."<br>";
		         }
	            echo "<span class='alt'>";
	            GetComments($gallery, $images[$i]);
	            GetRatings($gallery, $images[$i]);
	            echo "</span>";
	            echo "</center></td>\n";
	         }
	      }
	      if ($tds!=$settings['thumbs_per_row']) {
	         for ($x=0;$x<($settings['thumbs_per_row']-$tds);$x++) {
	            echo "<td style='width:".round(100/$settings['thumbs_per_row'])."%' class='".$cls."'>&nbsp;</td>\n";
	         }
	      }
	      echo "</tr>\n";
	      echo "<tr><td class='tbl1' colspan='".$settings['thumbs_per_row']."'>\n";
	      echo "<div align='center' style='margin-top:5px;'>".makegallerypagenav($prowstart,$settings['thumbs_per_page'],sizeof($images),3,FUSION_SELF."?gallery=".urlencode($gallery)."&", "p")."</div>\n";
	      echo "</td>\n";
	      echo "</tr>\n";
	      echo "<tr><td class='tbl1' colspan='".$settings['albums_per_row']."'>\n";
	      echo "<div align='right' style='margin:5px;'>";
	      echo "<form name='search_photo_form' action='photo_gallery.php?action=search' method='post'>";
	      echo $locale['PG028']." <input class='textbox'type='text' name='search_photo'/>&nbsp<input class='button' type='submit' name='OK' VALUE='OK'>";
	      echo "</form>";
	      echo "</div>\n";
	      echo "</td>\n";
	      echo "</tr>\n";
	      echo "</table>\n";
	      closetable();      
	   } else {
	      opentable ($locale['PG004']);
			echo "<table class='tbl-border' width='100%' cellspacing='1' cellpadding='0'>\n";
	      $link_nav = MakeDirNav($dir_to_open);
	      echo "<tr><td class='tbl1' colspan='".$settings['albums_per_row']."'><b>".$locale['PG005'].": ".$link_nav."</b></td></tr>";   
	      echo "<tr><td class='tbl2'><center>".$locale['PG013'].(PDG_ALLOWED_USER?"<br><br><a href='photo_gallery_create.php'>[ <b>".$userdata['user_name']."</b> - ".$locale['PG123']." ]</a>":"")."</center></td></tr>";
	      echo "</table>";
	      closetable();
	   }
	}
} else {
	opentable ($locale['PG004']);
	echo "<center><b><span style='color:red;font-size:12px'>".$locale['NO_GD_FOUND']."</span></b></center>";
	closetable();
}

require_once BASEDIR."side_right.php";
require_once BASEDIR."footer.php";
?>